# PhasicFlow: sphereShape Class Reference

sphereShape Class Reference
Collaboration diagram for sphereShape:
[legend]

## Public Member Functions

| TypeInfoNV ("sphereShape")
| sphereShape ()
| sphereShape (const realVector &diameter, const wordVector &property, const wordVector &name)
| sphereShape (const sphereShape &)=default
| sphereShape (sphereShape &&)=default
sphereShape & | operator= (const sphereShape &)=default
sphereShape & | operator= (sphereShape &&)=default
auto | clone () const
sphereShape * | clonePtr () const
| ~sphereShape ()=default
const auto & | names () const
const auto & | diameters () const
const auto & | materials () const
const auto | diameter (label i) const
const auto | material (label i) const
bool | nameToIndex (const word &name, uint32 &index) const
uint32 | nameToIndex (const word &name) const
bool | indexToName (uint32 i, word &name) const
bool | shapeToDiameter (wordVector &names, realVector &diams) const
void | diameterMinMax (real &minD, real &maxD) const
bool | read (iIstream &is)
bool | write (iOstream &os) const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const

## Protected Member Functions

bool | insertNames (const wordVector &names)
bool | readDictionary (const dictionary &dict)
bool | writeDictionary (dictionary &dict) const

## Protected Attributes

realVector | diameters_
wordVector | materials_
wordHashMap< uint32 > | names_
size_t | numShapes_

## Detailed Description

Definition at line 32 of file sphereShape.hpp.

## Constructor & Destructor Documentation

## sphereShape() [1/4]

sphereShape | ( |  | ) |

inline

Definition at line 60 of file sphereShape.hpp.

Referenced by sphereShape::clonePtr().

Here is the caller graph for this function:

## sphereShape() [2/4]

sphereShape | ( | const realVector & | diameter,
|  | const wordVector & | property,
|  | const wordVector & | name
| ) |  |

Definition at line 128 of file sphereShape.cpp.

References fatalExit.

## sphereShape() [3/4]

sphereShape | ( | const sphereShape & |  | ) |

default

## sphereShape() [4/4]

sphereShape | ( | sphereShape && |  | ) |

default

## ~sphereShape()

~sphereShape | ( |  | ) |

default

## Member Function Documentation

## insertNames()

bool insertNames | ( | const wordVector & | names | ) |

protected

Definition at line 28 of file sphereShape.cpp.

References fatalErrorInFunction.

## readDictionary()

bool readDictionary | ( | const dictionary & | dict | ) |

protected

Definition at line 53 of file sphereShape.cpp.

References pFlow::endl(), fatalErrorInFunction, dictionary::getVal(), dictionary::globalName(), and Vector< T, Allocator >::size().

Referenced by sphereShape::read().

Here is the call graph for this function:
Here is the caller graph for this function:

## writeDictionary()

bool writeDictionary | ( | dictionary & | dict | ) | const

protected

Definition at line 85 of file sphereShape.cpp.

References dictionary::add(), Vector< T, Allocator >::clear(), pFlow::endl(), fatalErrorInFunction, dictionary::globalName(), and n.

Referenced by sphereShape::write().

Here is the call graph for this function:
Here is the caller graph for this function:

## TypeInfoNV()

TypeInfoNV | ( | "sphereShape" |  | ) |

## operator=() [1/2]

sphereShape& operator= | ( | const sphereShape & |  | ) |

default

## operator=() [2/2]

sphereShape& operator= | ( | sphereShape && |  | ) |

default

## clone()

auto clone | ( |  | ) | const

inline

Definition at line 76 of file sphereShape.hpp.

## clonePtr()

sphereShape* clonePtr | ( |  | ) | const

inline

Definition at line 81 of file sphereShape.hpp.

References sphereShape::sphereShape().

Here is the call graph for this function:

## names()

const auto& names | ( |  | ) | const

inline

Definition at line 89 of file sphereShape.hpp.

References sphereShape::names_.

## diameters()

const auto& diameters | ( |  | ) | const

inline

Definition at line 93 of file sphereShape.hpp.

References sphereShape::diameters_.

## materials()

const auto& materials | ( |  | ) | const

inline

Definition at line 97 of file sphereShape.hpp.

References sphereShape::materials_.

## diameter()

const auto diameter | ( | label | i | ) | const

inline

Definition at line 101 of file sphereShape.hpp.

References sphereShape::diameters_.

## material()

const auto material | ( | label | i | ) | const

inline

Definition at line 105 of file sphereShape.hpp.

References sphereShape::materials_.

## nameToIndex() [1/2]

bool nameToIndex | ( | const word & | name,
|  | uint32 & | index
| ) |  | const

inline

Definition at line 111 of file sphereShape.hpp.

References sphereShape::names_.

## nameToIndex() [2/2]

uint32 nameToIndex | ( | const word & | name | ) | const

inline

Definition at line 125 of file sphereShape.hpp.

References sphereShape::names_.

## indexToName()

bool indexToName | ( | uint32 | i,
|  | word & | name
| ) |  | const

inline

Definition at line 130 of file sphereShape.hpp.

References sphereShape::names_.

## shapeToDiameter()

bool shapeToDiameter | ( | wordVector & | names,
|  | realVector & | diams
| ) |  | const

Definition at line 144 of file sphereShape.cpp.

References Vector< T, Allocator >::clear(), pFlow::endl(), and fatalErrorInFunction.

Here is the call graph for this function:

## diameterMinMax()

void diameterMinMax | ( | real & | minD,
|  | real & | maxD
| ) |  | const

inline

Definition at line 146 of file sphereShape.hpp.

References sphereShape::diameters_, pFlow::max(), and pFlow::min().

Referenced by sphereParticles::boundingSphereMinMax().

Here is the call graph for this function:
Here is the caller graph for this function:

## read() [1/2]

bool read | ( | iIstream & | is | ) |

Definition at line 166 of file sphereShape.cpp.

References ioErrorInFile, IOstream::lineNumber(), IOstream::name(), dictionary::read(), sphereShape::readDictionary(), and pFlow::sphereShapeFile__.

Here is the call graph for this function:

## write() [1/2]

bool write | ( | iOstream & | os | ) | const

Definition at line 186 of file sphereShape.cpp.

References ioErrorInFile, IOstream::lineNumber(), IOstream::name(), pFlow::sphereShapeFile__, and dictionary::write().

Here is the call graph for this function:

## read() [2/2]

bool read | ( | const dictionary & | dict | ) |

inline

Definition at line 161 of file sphereShape.hpp.

References sphereShape::readDictionary().

Here is the call graph for this function:

## write() [2/2]

bool write | ( | dictionary & | dict | ) | const

inline

Definition at line 167 of file sphereShape.hpp.

References sphereShape::writeDictionary().

Here is the call graph for this function:

## Member Data Documentation

## diameters_

realVector diameters_

protected

Definition at line 37 of file sphereShape.hpp.

Referenced by sphereShape::diameter(), sphereShape::diameterMinMax(), and sphereShape::diameters().

## materials_

wordVector materials_

protected

Definition at line 40 of file sphereShape.hpp.

Referenced by sphereShape::material(), and sphereShape::materials().

## names_

wordHashMap<uint32> names_

protected

Definition at line 43 of file sphereShape.hpp.

Referenced by sphereShape::indexToName(), sphereShape::names(), and sphereShape::nameToIndex().

## numShapes_

size_t numShapes_

protected

Definition at line 45 of file sphereShape.hpp.

The documentation for this class was generated from the following files:

- src/Particles/SphereParticles/sphereShape/sphereShape.hpp
- src/Particles/SphereParticles/sphereShape/sphereShape.cpp